com.qihoo.livecloud.sdk

## Class QHVCSdkConfig

- java.lang.Object
- - com.qihoo.livecloud.sdk.QHVCSdkConfig

-     public class QHVCSdkConfig
      extends java.lang.Object

  SDK配置

  Created by guohailiang on 2017/5/11.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QHVCSdkConfig.Builder` SDK配置构造器

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `QHVC_COMMON_OPTION_KEY_PRODUCT` 产品类型 `#QHVC_COMMON_PRODUCT_IOT_VIDEOCLOUD`
    `static int` | `QHVC_COMMON_PRODUCT_IOT_VIDEOCLOUD` 产品类型：IOT产品
    `static int` | `QHVC_COMMON_PRODUCT_VIDEOCLOUD` 产品类型：通用产品(默认值)
    `static java.lang.String` | `QHVC_KEY_ENABLE_CLOUD_CONTROL` 控制是否开启云控

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QHVCSdkConfig(QHVCSdkConfig.Builder builder)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QHVCSdkConfig` | `createDefault(Context context)` 获取SDK默认配置
    `java.lang.String` | `getAppVersion()` 获取APP版本号
    `java.lang.String` | `getBusinessId()` Deprecated.
    `Context` | `getContext()`
    `java.lang.String` | `getControlUrl()` 获取云控服务器地址
    `boolean` | `getCrashReportEnable()` Deprecated.
    `DebugUtils` | `getDebugUtils()` 获取日志配置
    `boolean` | `getEnableCloudControl()`
    `java.lang.String` | `getFeedbackUrl()` 获取推流状态上传服务器地址
    `java.lang.String` | `getMachineId()` 获取设备唯一识别码
    `java.lang.String` | `getMergeUrl()` 获取合流服务器地址
    `java.lang.String` | `getMicUrl()` 获取连麦服务器地址
    `java.lang.String` | `getNetworkType()` 获取网络类型
    `java.lang.String` | `getPluginInstallDir()` 获取插件化SO文件下载路径
    `int` | `getProduct()`
    `java.lang.String` | `getScheduleUrl()` 获取调度服务器地址
    `java.lang.String` | `getStatUrl()` 获取打点服务器地址
    `java.lang.String` | `getSystemVersion()` 获取Android系统版本号
    `java.lang.String` | `getUserId()` 获取用户唯一标识
    `void` | `setAppId(java.lang.String appId)` 设置appId
    `void` | `setCrashReportEnable(boolean enable)` Deprecated.
    `void` | `setNetworkType(java.lang.String networkType)` 设置网络类型
    `void` | `setPluginInstallDir(java.lang.String pluginInstallDir)` 设置插件化SO文件下载路径，需确保有可读、可执行权限
    `void` | `setUserId(java.lang.String userId)` 设置用户唯一标识
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QHVC_COMMON_OPTION_KEY_PRODUCT

          public static final java.lang.String QHVC_COMMON_OPTION_KEY_PRODUCT

      产品类型 `#QHVC_COMMON_PRODUCT_IOT_VIDEOCLOUD`
      See Also:
        Constant Field Values

    - #### QHVC_KEY_ENABLE_CLOUD_CONTROL

          public static final java.lang.String QHVC_KEY_ENABLE_CLOUD_CONTROL

      控制是否开启云控
      See Also:
        Constant Field Values

    - #### QHVC_COMMON_PRODUCT_VIDEOCLOUD

          public static final int QHVC_COMMON_PRODUCT_VIDEOCLOUD

      产品类型：通用产品(默认值)
      See Also:
        Constant Field Values

    - #### QHVC_COMMON_PRODUCT_IOT_VIDEOCLOUD

          public static final int QHVC_COMMON_PRODUCT_IOT_VIDEOCLOUD

      产品类型：IOT产品
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QHVCSdkConfig

          public QHVCSdkConfig(QHVCSdkConfig.Builder builder)

  - ### Method Detail

    - #### createDefault

          public static QHVCSdkConfig createDefault(Context context)

      获取SDK默认配置
      Parameters:
        `context` - context
      Returns:
        SDK默认配置

    - #### getContext

          public Context getContext()

    - #### getBusinessId

          @Deprecated
          public java.lang.String getBusinessId()

      Deprecated.
      获取应用ID(也叫业务ID)
      Returns:
        应用ID

    - #### getAppVersion

          public java.lang.String getAppVersion()

      获取APP版本号
      Returns:
        APP版本号

    - #### getMachineId

          public java.lang.String getMachineId()

      获取设备唯一识别码
      Returns:
        设备唯一识别码

    - #### getSystemVersion

          public java.lang.String getSystemVersion()

      获取Android系统版本号
      Returns:
        Android系统版本号

    - #### getNetworkType

          public java.lang.String getNetworkType()

      获取网络类型
      Returns:
        网络类型

    - #### getUserId

          public java.lang.String getUserId()

      获取用户唯一标识
      Returns:
        用户唯一标识

    - #### getDebugUtils

          public DebugUtils getDebugUtils()

      获取日志配置
      Returns:
        日志配置

    - #### setNetworkType

          public void setNetworkType(java.lang.String networkType)

      设置网络类型
      Parameters:
        `networkType` - 网络类型

    - #### setUserId

          public void setUserId(java.lang.String userId)

      设置用户唯一标识
      Parameters:
        `userId` - 用户唯一标识

    - #### setAppId

          public void setAppId(java.lang.String appId)

      设置appId
      Parameters:
        `appId` - 应用ID

    - #### setCrashReportEnable

          @Deprecated
          public void setCrashReportEnable(boolean enable)

      Deprecated.
      开启或关闭崩溃收集功能，默认开启
      Parameters:
        `enable` - true 开启；false 关闭

    - #### getCrashReportEnable

          @Deprecated
          public boolean getCrashReportEnable()

      Deprecated.
      获取是否开启了崩溃收集功能
      Returns:
        true 开启；false 关闭

    - #### setPluginInstallDir

          public void setPluginInstallDir(java.lang.String pluginInstallDir)

      设置插件化SO文件下载路径，需确保有可读、可执行权限
      Parameters:
        `pluginInstallDir` - 插件化SO文件下载路径，需确保有可读、可执行权限

    - #### getPluginInstallDir

          public java.lang.String getPluginInstallDir()

      获取插件化SO文件下载路径
      Returns:
        插件化SO文件下载路径

    - #### getScheduleUrl

          public java.lang.String getScheduleUrl()

      获取调度服务器地址
      Returns:
        调度服务器地址

    - #### getStatUrl

          public java.lang.String getStatUrl()

      获取打点服务器地址
      Returns:
        打点服务器地址

    - #### getMergeUrl

          public java.lang.String getMergeUrl()

      获取合流服务器地址
      Returns:
        合流服务器地址

    - #### getMicUrl

          public java.lang.String getMicUrl()

      获取连麦服务器地址
      Returns:
        连麦服务器地址

    - #### getFeedbackUrl

          public java.lang.String getFeedbackUrl()

      获取推流状态上传服务器地址
      Returns:
        推流状态上传服务器地址

    - #### getControlUrl

          public java.lang.String getControlUrl()

      获取云控服务器地址
      Returns:
        云控服务器地址

    - #### getProduct

          public int getProduct()

    - #### getEnableCloudControl

          public boolean getEnableCloudControl()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`